
/** \class DelphesStream
 *
 *  Provides an interface to manipulate c strings as if they were input streams
 *
 *
 *  $Date: 2012-11-15 13:57:55 $
 *  $Revision: 1.1 $
 *
 *
 *  \author P. Demin - UCL, Louvain-la-Neuve
 *
 */

#include "classes/DelphesStream.h"

#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <errno.h>

using namespace std;

//------------------------------------------------------------------------------

DelphesStream::DelphesStream(char *buffer) :
  fBuffer(buffer)
{
}

//------------------------------------------------------------------------------

bool DelphesStream::ReadDbl(double &value)
{
  char *start = fBuffer;
  errno = 0;
  value = strtod(start, &fBuffer);
  return start != fBuffer && errno != ERANGE;
}

//------------------------------------------------------------------------------

bool DelphesStream::ReadInt(int &value)
{
  char *start = fBuffer;
  errno = 0;
  value = strtol(start, &fBuffer, 10);
  return start != fBuffer && errno != ERANGE;
}

//------------------------------------------------------------------------------
