#ifndef Efficiency_h
#define Efficiency_h

/** \class Efficiency
 *
 *  Selects candidates from the InputArray according to the efficiency formula.
 *
 *  $Date: 2012-11-18 15:57:08 +0100 (Sun, 18 Nov 2012) $
 *  $Revision: 814 $
 *
 *
 *  \author P. Demin - UCL, Louvain-la-Neuve
 *
 */

#include "classes/DelphesModule.h"

#include <map>

class TIterator;
class TObjArray;
class DelphesFormula;

class Efficiency: public DelphesModule
{
public:

  Efficiency();
  ~Efficiency();

  void Init();
  void Process();
  void Finish();

private:
  
  std::map< Int_t, DelphesFormula * > fFormulaMap; //!

  TIterator *fItInputArray; //!

  const TObjArray *fInputArray; //!

  TObjArray *fOutputArray; //!

  ClassDef(Efficiency, 1)
};

#endif
