#ifndef EnergySmearing_h
#define EnergySmearing_h

/** \class EnergySmearing
 *
 *  Performs energy resolution smearing.
 *
 *  $Date: 2012-11-19 14:05:19 +0100 (Mon, 19 Nov 2012) $
 *  $Revision: 829 $
 *
 *
 *  \author P. Demin - UCL, Louvain-la-Neuve
 *
 */

#include "classes/DelphesModule.h"

#include <map>

class TIterator;
class TObjArray;
class DelphesFormula;

class EnergySmearing: public DelphesModule
{
public:

  EnergySmearing();
  ~EnergySmearing();

  void Init();
  void Process();
  void Finish();

private:

  std::map< Int_t, DelphesFormula * > fFormulaMap; //!

  TIterator *fItInputArray; //!

  const TObjArray *fInputArray; //!
  
  TObjArray *fOutputArray; //!

  ClassDef(EnergySmearing, 1)
};

#endif
