#ifndef Merger_h
#define Merger_h

/** \class Merger
 *
 *  Merges multiple input arrays into one output array
 *  and sums transverse momenta of all input objects.
 *
 *  $Date: 2012-11-18 15:57:08 +0100 (Sun, 18 Nov 2012) $
 *  $Revision: 814 $
 *
 *
 *  \author P. Demin - UCL, Louvain-la-Neuve
 *
 */

#include "classes/DelphesModule.h"

#include <map>

class TIterator;
class TObjArray;
class DelphesFormula;

class Merger: public DelphesModule
{
public:

  Merger();
  ~Merger();

  void Init();
  void Process();
  void Finish();

private:

  std::map< TIterator *, DelphesFormula * > fInputMap; //!

  TObjArray *fOutputArray; //!
  TObjArray *fMomentumOutputArray; //!

  ClassDef(Merger, 1)
};

#endif
