
/** \class
 *
 *  Lists classes to be included in cint dicitonary
 *
 *  $Date: 2012-12-06 01:08:05 +0100 (Thu, 06 Dec 2012) $
 *  $Revision: 868 $
 *
 *  
 *  \author P. Demin - UCL, Louvain-la-Neuve
 *
 */

#include "modules/Delphes.h"
 
#include "modules/FastJetFinder.h"
#include "modules/ParticlePropagator.h"
#include "modules/MagneticField.h"
#include "modules/Efficiency.h"
#include "modules/EnergySmearing.h"
#include "modules/MomentumSmearing.h"
#include "modules/Calorimeter.h"
#include "modules/Isolation.h"
#include "modules/UniqueObjectFinder.h"
#include "modules/BTagging.h"
#include "modules/TreeWriter.h"
#include "modules/Tracking.h"
#include "modules/TauJetFinder.h"
#include "modules/TauTagging.h"
#include "modules/Merger.h"
#include "modules/ExampleModule.h"

#ifdef __CINT__

#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;

#pragma link C++ class Delphes+;

#pragma link C++ class FastJetFinder+;
#pragma link C++ class ParticlePropagator+;
#pragma link C++ class MagneticField+;
#pragma link C++ class Efficiency+;
#pragma link C++ class EnergySmearing+;
#pragma link C++ class MomentumSmearing+;
#pragma link C++ class Calorimeter+;
#pragma link C++ class Isolation+;
#pragma link C++ class UniqueObjectFinder+;
#pragma link C++ class BTagging+;
#pragma link C++ class TreeWriter+;
#pragma link C++ class Tracking+;
#pragma link C++ class TauJetFinder+;
#pragma link C++ class TauTagging+;
#pragma link C++ class Merger+;
#pragma link C++ class ExampleModule+;

#endif
