#ifndef MomentumSmearing_h
#define MomentumSmearing_h

/** \class MomentumSmearing
 *
 *  Performs transverse momentum resolution smearing.
 *
 *  $Date: 2012-11-18 15:57:08 +0100 (Sun, 18 Nov 2012) $
 *  $Revision: 814 $
 *
 *
 *  \author P. Demin - UCL, Louvain-la-Neuve
 *
 */

#include "classes/DelphesModule.h"

#include <map>

class TIterator;
class TObjArray;
class DelphesFormula;

class MomentumSmearing: public DelphesModule
{
public:

  MomentumSmearing();
  ~MomentumSmearing();

  void Init();
  void Process();
  void Finish();

private:

  std::map< Int_t, DelphesFormula * > fFormulaMap; //!

  TIterator *fItInputArray; //!

  const TObjArray *fInputArray; //!
  
  TObjArray *fOutputArray; //!

  ClassDef(MomentumSmearing, 1)
};

#endif
