#ifndef TauJetFinder_h
#define TauJetFinder_h

/** \class TauJetFinder
 *
 *  Finds hadronic tau decays.
 *
 *  $Date: 2012-11-18 15:57:08 +0100 (Sun, 18 Nov 2012) $
 *  $Revision: 814 $
 *
 *
 *  \author P. Demin - UCL, Louvain-la-Neuve
 *
 */

#include "classes/DelphesModule.h"

class TObjArray;
class TFormula;

class TauJetFinder: public DelphesModule
{
public:

  TauJetFinder();
  ~TauJetFinder();

  void Init();
  void Process();
  void Finish();

private:

  Double_t fTrackDeltaR, fTowerDeltaR;
  Double_t fJetPTMin, fTrackPTMin, fTowerETMin;
  Double_t fEnergyFractionMin;

  TIterator *fItTrackInputArray; //!

  TIterator *fItTowerInputArray; //!
  
  TIterator *fItJetInputArray; //!

  const TObjArray *fTrackInputArray; //!
  
  const TObjArray *fTowerInputArray; //!

  const TObjArray *fJetInputArray; //!
  
  TObjArray *fOutputArray; //!
  
  ClassDef(TauJetFinder, 1)
};

#endif
