#ifndef Tracking_h
#define Tracking_h

#include "classes/DelphesModule.h"

class TClonesArray;
class TIterator;

class Tracking: public DelphesModule

{
public:

  Tracking();
  ~Tracking();

  void Init();
  void Process();
  void Finish();

private:

  typedef std::pair< Double_t, Double_t > TInt;
  typedef std::pair< TInt , TInt > TPtEtaInt;
  typedef std::map< TPtEtaInt , Double_t > TTrkMap; //!
  typedef std::map< Int_t , TTrkMap > TTrkPartMap; //!
  
  typedef TTrkMap::iterator It_tm;
  typedef TTrkPartMap::iterator It_tpm;
  

  TTrkPartMap fTrkEffPartMap; //!
  TTrkPartMap fTrkPtResPartMap; //!
  
  Double_t Value(Int_t pid, Double_t pt, Double_t eta, TTrkPartMap TrkPartMap);
  
  Double_t fTrkEff;
  
  Double_t fTrkMaxEta;
  Double_t fTrkMinPt;
  
  TIterator *fItInputArray; //!

  const TObjArray *fInputArray; //!

  TObjArray *fOutputArray; //!
  ClassDef(Tracking, 1)
};

#endif
